#include "systemsettingwidget.h"
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QGridLayout>
#include <QDebug>
SystemSettingWidget::SystemSettingWidget(QWidget * parent )
{
    init();
    initLay();
    initConnect();

}
SystemSettingWidget::~SystemSettingWidget()
{

}

void  SystemSettingWidget::init()
{
  setStyleSheet("  background: rgb(47, 61, 82);");
    m_labDes.setStyleSheet("border-image:url(:/image/systemsetting.png);}");
    m_btnRet.setStyleSheet("border-image:url(:/image/icon_back_2.png);}");
    m_labDes.setMaximumSize(QSize(200,30));
    m_labDes.setMinimumSize(QSize(200,30));
    m_btnRet.setMaximumSize(QSize(100,30));
    m_btnRet.setMinimumSize(QSize(100,30));

     m_NavListWidget.setList(QStringList()<<"填写病历"<<"病历管理"<<"导联方案",QStringList()<<"ssss"<<"sss"<<"sk");
}
void  SystemSettingWidget::initLay()
{
    QHBoxLayout * hlay   = new QHBoxLayout;
    hlay->addWidget(&m_btnRet,1,Qt::AlignLeft);
    hlay->addWidget(&m_labDes,9, Qt::AlignHCenter);


    QVBoxLayout * vlay  = new QVBoxLayout;
    vlay->addLayout(hlay,1);
    QWidget * w  = new QWidget;
    vlay->addWidget(w,9);
vlay->setContentsMargins(0,0,0,0);
    setLayout(vlay);

    QHBoxLayout * hlayMain = new QHBoxLayout;

    w ->setLayout(hlayMain);
    hlayMain->addWidget(&m_NavListWidget,1);
    hlayMain->addWidget(&m_stackedWidget,9);

}
bool  SystemSettingWidget::initConnect()
{
    bool bCon = true;
    bCon = connect(&m_btnRet,SIGNAL(clicked(bool)),this,SLOT(slotClickedChanged()));
    if(!bCon)
    {
        qDebug()<<"connect failed"<<endl;

    }
    return bCon;
}
void SystemSettingWidget::slotClickedChanged()
{

    QObject * send = static_cast<QObject *>(sender());
    if(send == nullptr)
    {
        return;
    }
    emit SigClicked(send->objectName());

}
