#ifndef SYSTEMSETTINGWIDGET_H
#define SYSTEMSETTINGWIDGET_H
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QStackedWidget>
#include "navlistwidget.h"
class  SystemSettingWidget: public QWidget
{
    Q_OBJECT
public:
    SystemSettingWidget(QWidget * parent = NULL);
    virtual  ~SystemSettingWidget();
    void  init();
    void  initLay();
    bool  initConnect();
signals:
     void SigClicked(QString objName);
private slots:
     void slotClickedChanged();


private:
    //< 返回
    QPushButton m_btnRet;
    //描述
    QLabel      m_labDes;

    NavListWidget m_NavListWidget;
    QStackedWidget m_stackedWidget;

};
#endif // SYSTEMSETTINGWIDGET_H
